Skip to content

List Destinations

GET
/data_syncer/destination/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/data_syncer/destination/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

page_no
integer

The page number from which you want your page search results to be displayed.

per_page
integer

Number of results per page

Success response with a list of destinations

Media typeapplication/json
object
code
integer
message
string
total_page_number
integer
total_count
integer
data
Array<object>
object
id
integer
name
string
destination_type
string
status
string
created_by
object
id
integer
name
string
email
string
username
string
dataset
object
id
integer
name
string
project_id
integer
storage_type
string
bucket
object
id
integer
bucket_name
string
bucket_url
string
endpoint
string
is_managed
boolean
eos_bucket_permission_id
integer
access_key
object
id
integer
access_key
string
tag
string
is_managed
boolean
encryption_enable
boolean
status
string
path_prefix
string
run
boolean
created_at
string format: date-time
updated_at
string format: date-time
errors
object

Example

{
"code": 200,
"message": "Success",
"total_page_number": 1,
"total_count": 1,
"data": [
{
"id": 146,
"name": "syncer-destination-02201439044",
"destination_type": "tir_dataset",
"status": "active",
"created_by": {
"id": 4945,
"name": "Rahul Tanwar",
"email": "rahul.tanwar@e2enetworks.com",
"username": "rahul.tanwar@e2enetworks.com"
},
"dataset": {
"id": 1637,
"name": "finetuning-dataset-022013562626",
"project_id": 4601,
"storage_type": "managed",
"bucket": {
"id": 3162,
"bucket_name": "d-gpu-bd21fad1-abcb-45fd-bc11-46142b7c7928",
"bucket_url": "s3://d-gpu-bd21fad1-abcb-45fd-bc11-46142b7c7928/",
"endpoint": "https://objectstore.e2enetworks.net",
"is_managed": true,
"eos_bucket_permission_id": 11604
},
"access_key": {
"id": 3179,
"access_key": "2092TCITD7JA6IICP299",
"tag": "akgpuf8fd86dec56147a8aefb896fef535f03",
"is_managed": true
},
"encryption_enable": false,
"status": "OK"
},
"path_prefix": "/",
"run": true,
"created_at": "2025-02-20T10:14:23.278364Z",
"updated_at": "2025-02-20T10:14:36.960772Z"
}
],
"errors": {}
}